Bug 156100 - new port: x11/st, a simple X Terminal
Summary: new port: x11/st, a simple X Terminal
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-01 00:20 UTC by kitchetech
Modified: 2011-04-08 07:30 UTC (History)
0 users

See Also:


Attachments
file.shar (2.03 KB, text/plain)
2011-04-01 00:20 UTC, kitchetech
no flags Details
st.shar.txt (3.74 KB, text/plain)
2011-04-07 16:02 UTC, Ganael LAPLANCHE
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kitchetech 2011-04-01 00:20:11 UTC
St a Simple X Terminal

Fix: Patch attached with submission follows:
Comment 1 Ganael LAPLANCHE freebsd_committer 2011-04-01 12:24:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

I will take care of it.
Comment 2 Ganael LAPLANCHE freebsd_committer 2011-04-07 16:02:38 UTC
Hi Matthew,

Thanks a lot for you contribution.

I've fixed a few things from the original shar file. Find a new one
attached to this mail.

Here are the modifications :

- st renamed to sterm to avoid duplicate port names (devel/st)
- changed version from git hash to 0.0.<snapshot date> (git hashes don't
work as PORTVERSION)
- added a LOCAL mirror for the distfile
- added LICENSE (BSD)
- improved PORTDOCS handling
- added dependency to ncurses (terminfo) and properly use LOCALBASE when
calling tic
- config.h patching moved from post-extract to post-patch target
- patched several paths and flags in config.mk

Please, also note that due to the change of PORTVERSION, I've had to
re-create the source tarball, so you'll have to host it on your server
(I've also hosted it on a LOCAL FreeBSD mirror, e.g. here :
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/local-distfiles/martymac/sterm-0.0.20110401.tar.gz).
In the future, please, keep this PORTVERSION scheme as git revision
numbers don't work for PORTVERSION.

If you agree with them, and once the distfile hosted on your server,
I'll commit this version.

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 3 kitchetech 2011-04-07 21:37:56 UTC
You can commit the new shar file I uploaded the new distfile to my server,
anbd I would like to say thank you for fixing the port up a bit still trying
to get use to the way certain ports are made
Comment 4 kitchetech 2011-04-07 21:42:33 UTC
if I forgot the distfile is located at http://kitchetech.com/port/distfile

On Thu, Apr 7, 2011 at 4:37 PM, matt donovan <kitchetech@gmail.com> wrote:

> You can commit the new shar file I uploaded the new distfile to my server,
> anbd I would like to say thank you for fixing the port up a bit still trying
> to get use to the way certain ports are made
>
Comment 5 dfilter freebsd_committer 2011-04-08 07:25:33 UTC
martymac    2011-04-08 06:25:19 UTC

  FreeBSD ports repository

  Modified files:
    x11                  Makefile 
  Added files:
    x11/sterm            Makefile distinfo pkg-descr 
    x11/sterm/files      patch-Makefile patch-config.mk 
  Log:
  Add st, a minimalistic X terminal.
  
  PR:             ports/156100
  Submitted by:   Matthew Donovan <kitchetech at gmail.com>
  
  Revision  Changes    Path
  1.757     +1 -0      ports/x11/Makefile
  1.1       +54 -0     ports/x11/sterm/Makefile (new)
  1.1       +2 -0      ports/x11/sterm/distinfo (new)
  1.1       +11 -0     ports/x11/sterm/files/patch-Makefile (new)
  1.1       +21 -0     ports/x11/sterm/files/patch-config.mk (new)
  1.1       +6 -0      ports/x11/sterm/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Ganael LAPLANCHE freebsd_committer 2011-04-08 07:26:25 UTC
State Changed
From-To: open->closed

New port added with minor changes. Thanks!